#230 Debian Linux package fails to run ooRexxUnit

closed
nobody
None
5
2012-08-14
2007-01-19
mdlueck
No

Debian Linux package of ooRexx fails to run ooRexxUnit.

105 - do i=1 to tests.0
109 - ts=makeTestSuiteFromFileList(list)
Segmentation fault

A quick test of ::routine proves successful, so ::routine is not completely busted.

Other tests of the Debian package run successfully.

Discussion

  • mdlueck

    mdlueck - 2007-01-19

    Logged In: YES
    user_id=1014305
    Originator: YES

    ooRexxUnit can be checked out of the ooRexx cvs.
    ooRexx Debian package will be publicly available once testing is wrapped up.

     
  • Rick McGuire

    Rick McGuire - 2007-01-19

    Logged In: YES
    user_id=1125291
    Originator: NO

    Is the ooRexx Debian package built from the 3.1.1 tag version, or the latest CVS sources? If you are using the 3.1.1 level, could you retry with the latest source? There was a seg fault that was fixed recently that only showed up in the Linux builds that sounds like it could potentially be the same problem.

     
  • mdlueck

    mdlueck - 2007-01-19

    Logged In: YES
    user_id=1014305
    Originator: YES

    It was built from cvs using this command to pull the files...
    cvs -z9 -d :pserver:anonymous@oorexx.cvs.sourceforge.net:/cvsroot/oorexx co -r v3_1_1-rev2 -P oorexx

    So we will try again pulling the latest files.

    Thanks,
    Michael

     
  • mdlueck

    mdlueck - 2007-01-19

    Logged In: YES
    user_id=1014305
    Originator: YES

    We rebuilt with the latest in cvs, still seg faults.

    We ran ooRexx with strace, the point at which it blew up it appeared to be processing the comment lines in the header. So I deleted the comments in runTestUnits.rex and OOREXXUNIT.CLS - just left a simple / / and a blank line before the first line of real code. The ooRexxUnit ran perfectly with that modification. So it would appear the sec fault is related to the processing of extensive comment blocks.

     
  • Rick McGuire

    Rick McGuire - 2007-01-22

    Logged In: YES
    user_id=1125291
    Originator: NO

    I'm able to successfully run this using the base Linux packages on Fedora Core. Since you're the only one with the capability to build this on a Debian platform at the moment, you're going to have to provide some more detailed debugging information on this.

     
  • Mark Miesfeld

    Mark Miesfeld - 2007-01-22

    Logged In: YES
    user_id=191588
    Originator: NO

    I currently have some systems with empty partitions and will take a look at this some day this week.

    Michael if you would supply some details on exactly which release you are using, and a link to where to get it would be nice. I'll install it and investigate.

     
  • mdlueck

    mdlueck - 2007-01-22

    Logged In: YES
    user_id=1014305
    Originator: YES

    Contacted Mark Miesfeld directly to supply details needed for his testing offer.

     
  • Mark Miesfeld

    Mark Miesfeld - 2007-01-23

    Logged In: YES
    user_id=191588
    Originator: NO

    My attempts to install Debian were frustrating to say the least. I tried on 4 machines - they all have hardware that Debian does not recognize. They are too new for Debian. I managed to get a minimal text only install on 2 of the machines.

    1.) The seg fault in the original 3.1.1 Debian package looks to me, on the face of it, to be the same problem that Rick fixed in bug # 1623592. Running rexx from the package with gdb - it has the same look. Although, without the symbols I can't really be sure, and I didn't have the patience to single step through it.

    2.) Although Michael said they retried with the latest source from cvs, I have to wonder if the second try really had the fix in it. Don't take offense Michael, <grin> there has been many a time when I was sure I was using the fixed code - but wasn't.

    If you could build with a completely fresh check out from cvs, make sure you are really using the newly built ooRexx, and double check you still get the seg fault - that could save me some time chasing down a non-existent problem.

    3.) I wanted to build ooRexx completely from scratch on the Debian install, but the automake, autoconf tools were to old and did not generate working Makefiles. Attempting to upgrade the tools, made things worse. I'll give it another shot, if I have time.

     
  • mdlueck

    mdlueck - 2007-01-23

    Logged In: YES
    user_id=1014305
    Originator: YES

    Yes I REALLY am sure it was a check out of the latest files in cvs. Rusty even commented about some files having VERY old dates when we pulled from v3_1_1-rev2 tag, but not when we pulled from the latest files in cvs. I renamed off the oorexx dir cvs creates, and have been working in the new oorexx dir. For anything further, I will have to check with Rusty.

    Oh, around here we always run Debian in text mode! ;-)

     
  • Mark Miesfeld

    Mark Miesfeld - 2007-01-24

    Logged In: YES
    user_id=191588
    Originator: NO

    This bug is a duplicate of bug # 1623592, and is fixed with the fix for that bug.

    I have built .deb packages for both Debian 3.1 and Ubuntu 6.10 with a fresh check out from cvs.

    After installing either of these packages, running the ooRexxUnit tests finishes without a seg fault. On both systems, using the original .deb package that was built with the tagged 3.1.1 release files, running the unit tests does seg fault.

    I have sent the packages to Rony and Michael to test. However, I have installed both .deb packages on several different systems and executed:

    rexx runTestUnits.rex -r ../tests

    numerous times. All with no problems or seg faults, so I expect Rony will report the same results.

    Here is console output from one of my Debian 3.1 installs:

    Owl:/work.ooRexx/oorexxunit/framework#
    Owl:/work.ooRexx/oorexxunit/framework# uname -a
    Linux Owl 2.6.8-2-386 #1 Tue Aug 16 12:46:35 UTC 2005 i686 GNU/Linux

    Owl:/work.ooRexx/oorexxunit/framework# cat /etc/debian_version
    3.1

    Owl:/work.ooRexx/oorexxunit/framework# dpkg -l | grep oorexx
    ii oorexx 3.1.1-1 Open Object Rexx (ooRexx)

    Owl:/work.ooRexx/oorexxunit/framework# rexx runTestUnits.rex -r ../tests/
    searchFile=[../tests/*.testUnit], SysFileTree()-switches: [FOS] ...
    415 - address cmd "rexx" filename "<"fileinput -- run as external command redirect input
    >>> "rexx tmpTestPARSElinein.rex <tmpTestPARSElinein_input.txt" +++="" "RC(30)"="" 321="" *-*="" ADDRESS="" CMD="" "rexx"="" fileName="">>> "rexx ooRexx.Base.RESULT.rex"
    +++ "RC(30)"
    [runTestUnits.rex] processed: [../tests/*.testUnit] with [FOS] found [11] file(s), elapsed time: [3.035339] sec(s)

    nr of test runs: 310
    nr of successful assertions: 304400
    nr of failures: 11
    [20070123 22:29:26.857378]: [failure] testCase: [TEST_PARSE_INSTRUCTION_EXAMPLES] (an ooRexx.Base.PARSE.testUnit@446A1110) ---> @assertFailure assertSame: expected=[[17], hashValue="6A370000"x], actual=[[30], hashValue="65300000"x]. subTest-do_test_linein-procedure
    [20070123 22:29:26.866621]: [failure] testCase: [TEST_RESULT_WITH_EXIT_ADDRESSING_EXTERNALFILE] (an ooRexx.Base.RESULT_RC_SIGL.testUnit@46341310) ---> @assertFailure assertSame: expected=[[30], hashValue="65300000"x], actual=[[1234], hashValue="69323334"x]. subTest3
    [20070123 22:29:29.576341]: [failure] testCase: [TEST_MIXINCLASS_MULTIPLE_INHERITANCE_ON_METACLASSES_01] (an ooRexx.Base.Class.Class.TestUnit@EC1D1510) ---> @assertFailure assertEquals: expected=[[1], hashValue="63000000"x], actual=[[5], hashValue="6B000000"x]. subTest_01
    [20070123 22:29:29.576677]: [failure] testCase: [TEST_MIXINCLASS_MULTIPLE_INHERITANCE_ON_METACLASSES_02] (an ooRexx.Base.Class.Class.TestUnit@98161510) ---> @assertFailure assertEquals: expected=[[5], hashValue="6B000000"x], actual=[[0], hashValue="61000000"x]. subTest_02
    [20070123 22:29:29.576997]: [failure] testCase: [TEST_MIXINCLASS_MULTIPLE_INHERITANCE_ON_METACLASSES_03] (an ooRexx.Base.Class.Class.TestUnit@72AB1410) ---> @assertFailure assertEquals: expected=[[1], hashValue="63000000"x], actual=[[5], hashValue="6B000000"x]. subTest_01
    [20070123 22:29:29.577316]: [failure] testCase: [TEST_MIXINCLASS_MULTIPLE_INHERITANCE_ON_METACLASSES_04] (an ooRexx.Base.Class.Class.TestUnit@9A741410) ---> @assertFailure assertEquals: expected=[[5], hashValue="6B000000"x], actual=[[0], hashValue="61000000"x]. subTest_02
    [20070123 22:29:29.577919]: [failure] testCase: [TEST_SUBCLASSES] (an ooRexx.Base.Class.Class.TestUnit@AA3C1410) ---> @assertFailure assertTrue: expected=[1], actual=[0]. subTest_02: '.relation~subclasses~items>0'
    [20070123 22:29:29.578551]: [failure] testCase: [TEST_SUBCLASS_MULTIPLE_INHERITANCE_ON_METACLASSES_01] (an ooRexx.Base.Class.Class.TestUnit@5CFF1310) ---> @assertFailure assertEquals: expected=[[1], hashValue="63000000"x], actual=[[5], hashValue="6B000000"x]. subTest_01
    [20070123 22:29:29.578870]: [failure] testCase: [TEST_SUBCLASS_MULTIPLE_INHERITANCE_ON_METACLASSES_02] (an ooRexx.Base.Class.Class.TestUnit@38F81310) ---> @assertFailure assertEquals: expected=[[5], hashValue="6B000000"x], actual=[[0], hashValue="61000000"x]. subTest_02
    [20070123 22:29:29.579187]: [failure] testCase: [TEST_SUBCLASS_MULTIPLE_INHERITANCE_ON_METACLASSES_03] (an ooRexx.Base.Class.Class.TestUnit@D6971310) ---> @assertFailure assertEquals: expected=[[1], hashValue="63000000"x], actual=[[5], hashValue="6B000000"x]. subTest_01
    [20070123 22:29:29.579507]: [failure] testCase: [TEST_SUBCLASS_MULTIPLE_INHERITANCE_ON_METACLASSES_04] (an ooRexx.Base.Class.Class.TestUnit@6CFA1210) ---> @assertFailure assertEquals: expected=[[5], hashValue="6B000000"x], actual=[[0], hashValue="61000000"x]. subTest_02
    nr of errors: 0
    Owl:/work.ooRexx/oorexxunit/framework#

     
  • mdlueck

    mdlueck - 2007-01-24

    Logged In: YES
    user_id=1014305
    Originator: YES

    I just got Xubuntu 6.10 to install successfully, even with all partitions but /boot as xfs. Installed Mark's deb package, unziped Rony's ooRexxUnit, and have run ooRexxUnit successfully.

    Also tested successfully on the Debian Sarge box we were testing on.

    Great work! So WHAT did you do, Mark???

     
  • Mark Miesfeld

    Mark Miesfeld - 2007-03-20

    Logged In: YES
    user_id=191588
    Originator: NO

    The Debian package built from CVS head ran the ooRexxUnit tests without seg faulting. Rony, Michael, and myself all tested it.

    The next 3.1.2 release will include a Debian package, so I am moving this to fixed / pending.

     


Anonymous

Cancel  Add attachments





Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks